// ===========================================================================
//	LOffscreenBufferPane.h				   1997 eli curtz. All rights reserved.
// ===========================================================================

#pragma once

#include <LPane.h>

class LGWorld;

class	LOffscreenBufferPane : public LPane {

public:
	enum { class_ID = 'Bufr' };
	
						LOffscreenBufferPane();
						LOffscreenBufferPane(
								const SPaneInfo		&inPaneInfo);
						LOffscreenBufferPane(
								LStream				*inStream);

	static LOffscreenBufferPane*	CreateStream(
								LStream* inStream);

	LGWorld*			GetGWorld();

	void				SetGWorld(
								LGWorld				*inGWorld);

protected:
	LGWorld*			mGWorld;

	virtual void		DrawSelf();
};
