// gorStructs.h
// Myth header structures as described by Jason 10/7/97

struct gor_Header {
	UInt16			version;
	UInt16			dataVersion;
	char			name[32];
	UInt32			checksum;
	Int32			tagHeaderOffset;
	UInt16			headerCount;
	UInt16			headerSize;			// 64
	UInt16			flags;
	UInt16			padding;
	UInt32			modTime;
	UInt16			unused1[35];
	UInt16			unused2;
}; typedef struct gor_Header gor_Header;


struct dir_Header {
	char			name[32];
	FourCharCode	group;
	FourCharCode	subGroup;
	UInt32			version;
	UInt16			tagVersion;
	UInt16			flags;
	Int32			dataOffset;
	UInt32			dataSize;
	UInt32			userData;
	FourCharCode	fileTag;			// 'myth'
}; typedef struct dir_Header dir_Header;


struct bitmapData_Header {
	UInt16			width;
	UInt16			height;
	Int16			rowBytes;			// -1 for encoded sprite
	UInt16			unknown;
	UInt16			bitDepth;
	UInt16			dontKnow[19];
}; typedef struct bitmapData_Header bitmapData_Header;


