// Bungie-supplied structures


#include "world.h"


enum
{
	PRECALCULATED_NORMAL_BITS= 8,
	NUMBER_OF_PRECALCULATED_NORMALS= 1<<PRECALCULATED_NORMAL_BITS,
	PRECALCULATED_NORMAL_MASK= NUMBER_OF_PRECALCULATED_NORMALS-1,
	
	RING_ELEVATION_SEPARATION= FULL_CIRCLE/60
};



struct precalculated_normal_data
{
	world_vector3d normal;
	angle direction; // of normal
	angle elevation;
	
	word unused[3];
};
