/*------------------------------------------------------------------------------
----------
	inte.h
	Steve Ramsey		11/5/97

	Note that 0xFFFFFFFF in any of the following fields indicates that
it is
	unused in this implementation of the interface.

	The interfaceCollection field refers to a .256 tag that contains
the interface
	palette, icons, cursors, etc. Many (if not all) of its features
appear to be unused.
*/

typedef struct inte_Struct
{
	FourCharCode	interfaceCollection;
	FourCharCode	systemFont;
	FourCharCode	screenHiResFont;
	FourCharCode	screenLoResFont;
	FourCharCode	narrationHeaderFont;
	FourCharCode	narrationFont;
	FourCharCode	narrationCaptionFont;
	FourCharCode	u1;
	FourCharCode	u2;
	UInt32			unused [55]
} inte_Struct;
