struct mons_Header {
	Int32 u1;
	FourCharCode	graphicFileID;
	Int16			standSeqIndex;
	Int16			walkSeqIndex;
	Int16			anotherstandSeqIndex; // "loathing placeholder" in mahir
	Int16	;
	Int16	;
	Int16			blockSeqIndex;
	Int16			flinchSeqIndex;
	Int16			pickupSeqIndex;
	Int16			headshotSeqIndex;
	Int16			celebrateSeqIndex;
	Int16			standingTransitionSeqIndex;
	Int16			stand2SeqIndex;
	Int16			standingTransition2SeqIndex;
	Int16	idleSeqIndex;	// "idle" in mahir, "walk" in spider
	Int16			itemIconSeqIndex;
	Int16			guardSeqIndex;
	Int16	;
	Int16	;
	Int32	;	// end row 3
	Int32	;
	Int32	;
	Int32	;
	Int32	;	// end row 4
	Int32	;
	Int32	;
	Int8	terrainHandlingFlags[16];
	// terrain types are enumerated in the "Mesh Cell Modifier"
	// command section of "Temp_Commands"
	Int16	maybeMoreMovementStuff[32];
	Int32	;
	Int32	;	// end row 8
	Int16	startingAmmo;
	Int16	;
	Int32	;
	Int16	;
	Int16	14 b, 17 bh;
	Int32	;	// end row 9
	FourCharCode	objectType; // 'obje' ('baob')
	Int16	attackCount;
	Int16	;
	mons_Attack attacks[4];
	Int16	;
	Int16	;
	Int16	;
	Int16	;
	Int16	f b, 6 bh, 2d dwarf, 1e d hero, 1e f, f fh;
	Int16	a b, o bh, 10 d, 0 d h, 10 f, 0 fh;
	FourCharCode	piecesID;	// 'prgr'
	Int16	maxHealth; // total guess
	Int16	maxAmmo;
	Int16	;	// 0xBFFF
	Int16	;
	FourCharCode	hitID;	// 'prgr'
	FourCharCode	bodyID;	// 'prgr'
	FourCharCode	spellingID;	// 'stli'
	FourCharCode	namesID;	// 'stli'
	FourCharCode	flavorID;	// 'stli'
	Int16	;
	Int16	;
	Int16	;
	Int16	;
	FourCharCode	;
	FourCharCode	;
	FourCharCode	;
	FourCharCode	;
	FourCharCode	;
	FourCharCode	;
	FourCharCode	;
	FourCharCode	;
	FourCharCode	;
	FourCharCode	;
	FourCharCode	blockID;	// 'prgr'
	FourCharCode	absorbedID;	// 'prgr'
	FourCharCode	dropStuffID; // 'proj'
	Int16	stuff[16];
	FourCharCode	;
	FourCharCode	specialAbilityID;	// 'stli'
	FourCharCode	;
	FourCharCode	entranceID;	// 'prgr'
	FourCharCode	;//"coge" 'lpgr'/'phys'
	FourCharCode	special; "sp03" 'stli'
	FourCharCode	exitID;	// 'prgr'
	Int32	moreStuff[17];
};

struct mons_Attack {
	Int16	;
	Int16	maxDamage;	//
	FourCharCode	id;	// 'proj' id, 0xFFFF == special (taunt, ghol throw, etc.)
	Int16	flags;	// 0x0600 == distance attack
	Int16	range;	// total guess!!!
	Int16	sequenceIndex;
	Int16	;
	Int32	;
	Int32	;
	Int32	;
	Int32	;
	Int32	;
};