// prgr.h
// projectile group struct (very preliminary)

struct prgr_Header {
	Int32			u1;
	Int16			projCount;
	Int16			u2;
	Int32			u3[6];
	// followed by projCount prgr_Components
}; typedef struct prgr_Header prgr_Header;

struct prgr_Component {
	FourCharCode	type;		// 'proj' type
	Int32			u1;
	Int16			baseCount;	// the "typical" number of this item
	Int16			altCount;	// maybe
	Int16			u3[3];		// flag/ percentages for piece counts... ??
	Fixed			occurrenceChance;	// will the proj exist
	Int16			u4;
	Int32			u5[2];
}; typedef struct prgr_Component prgr_Component;

