/*------------------------------------------------------------------------------
----------
	soli.h
	Steve Ramsey		11/6/97

	-1 means a tag is unused; tags refer to 'soun'

	The five unknown tags might be narratorOnWarning,
masiveCasualtiesWarning,
	tokenCapturedWarning, tokenLostWarning, and tokenCpntestedWarning.
I'm not sure of
	their placement or if they are even used.
*/

typedef struct soli_Struct
{
	UInt16			u1;
	UInt16			u2;
	UInt32			u3;
	UInt32			u4;
	UInt32			u5;
	FourCharCode	fiveMinuteWarning;
	UInt32			unused1;
	FourCharCode	oneMinuteWarning;
	UInt32			unused2;
	FourCharCode	thirtySecondWarning;
	UInt32			unused3;
	FourCharCode	vistoryImminentWarning;
	UInt32			unused4;
	FourCharCode	gameEndingWarning;
	UInt32			unused5;
	FourCharCode	suddenDeathWarning;
	UInt32			unused6;
	FourCharCode	gameOverWarning;
	UInt32			unused7;
	FourCharCode	casualtyWarning;
	UInt32			unused8;
	FourCharCode	casualtiesWarning;
	UInt32			unused9;
	FourCharCode	playerEliminatedWarning;
	UInt32			unused10;
	FourCharCode	teamEliminatedWarning;
	UInt32			unused11;
	FourCharCode	flagCapturedWarning;
	UInt32			unused12;
	FourCharCode	flagContestedWarning;
	UInt32			unused13;
	FourCharCode	flagLostWarning;
	UInt32			unused14;
	FourCharCode	ballCapturedWarning;
	UInt32			unused15;
	FourCharCode	ballContestedWarning;
	UInt32			unused16;
	FourCharCode	ballLostWarning;
	UInt32			unused17;
	FourCharCode	u6;
	UInt32			unused18;
	FourCharCode	u7;
	UInt32			unused19;
	FourCharCode	unitsDetachedWarning;
	UInt32			unused20;
	FourCharCode	unitsReceivedWarning;
	UInt32			unused21;
	FourCharCode	messageWarning;					// "Hey!"
	UInt32			unused22;
	FourCharCode	u8;
	UInt32			unused23;
	FourCharCode	u9;
	UInt32			unused24;
	FourCharCode	u10;
	UInt32			unused25;
	FourCharCode	gameOnWarning;
	UInt32			unused26;
	UInt32			unused [8];
} soli_Struct;
