// =================================================================================
//	CMapView.h						1997 eli curtz. All rights reserved.
// =================================================================================

#pragma once

class CMapView : public LView, public LBroadcaster {
public:
	enum { class_ID = 'objV' };
	
						CMapView();
						CMapView(
								LStream				*inStream);

	LGWorld*			GetGWorld();

	void				SetGWorld(
								LGWorld				*inGWorld);

	virtual void		ClickSelf(
								const SMouseDownEvent &inMouseDown);

	virtual void		SetScale(UInt8 inScale);
	virtual UInt8		GetScale() { return mScale; };
	
	virtual void		SetObjects(LArray* inObjects);

protected:
	LGWorld*			mGWorld;
	UInt8				mScale;

	virtual void		DrawSelf();
	
	LArray* mObjects;
};
