// =================================================================================
//	CMythographyApp.h	 					1997 eli curtz. All rights reserved.
// =================================================================================

#pragma once

#include <LDocApplication.h>
class LFile;
class LPreferencesFile;

pascal	void AddAliasFilter( const CInfoPBRec * const cpbPtr, Boolean *quitFlag, void *yourDataPtr);

class CMythographyApp : public LDocApplication {
public:
							CMythographyApp();
	virtual 				~CMythographyApp();

protected:
	virtual void			StartUp();

	virtual void			OpenDocument( FSSpec *inMacFSSpec );
	virtual LModelObject *	MakeNewDocument();
	virtual void			ChooseDocument();
	virtual void			PrintDocument( FSSpec *inMacFSSpec );
	
	LFile*					mAppFile;
	LPreferencesFile*		mPrefFile;
	
	LArray*					mSourceFiles;
};
