// =================================================================================
//	Constants.h			1995-1997 Metrowerks Inc. All rights reserved.
// =================================================================================

#pragma once
const OSType	kCreatorType					= 'Mogy';
const OSType	kPrefFileType					= 'MogP';
const Str32		kPrefFileName					= "\pMythography Preferences";
const Str255	kTagsFolderName 				= "\ptags";
const Str255	kTagsCDFolderName 				= "\p::tags";

const OSType	kMythApplicationCreator			= 'Myth';
const OSType	kMythGorFileType				= '.gor';

const OSType	kSourceFileAliasType			= 'SrcF';

const MessageT	msg_Next						= 1001;
const MessageT	msg_Previous					= 1002;

const ResIDT	rPPob_ObjectWindow				= 1000;
const PaneIDT	kPrevButton						= 'Prev';
const PaneIDT	kNextButton						= 'Next';
const PaneIDT	kObjectType						= 'Type';
const PaneIDT	kObjectTeam						= 'Team';
const PaneIDT	kObjectXPos						= 'XPos';
const PaneIDT	kObjectYPos						= 'YPos';
const PaneIDT	kObjectZPos						= 'ZPos';
const PaneIDT	kObjectFacing					= 'Face';
const PaneIDT	kObjectID						= 'ObID';
const PaneIDT	kObjectHidden					= 'Hide';

const ResIDT	rPPob_Printout					= 1100;
const PaneIDT	kPlaceholder					= 1;


const ResIDT	rPPob_MapWindow					= 1500;
const PaneIDT	kMapView						= 'MAP ';
const PaneIDT	k3DMapView						= '3MAP';


const MessageT	cmd_Preferences					= 3333;

const MessageT	msg_Add							= 2001;
const MessageT	msg_Remove						= 2002;

const ResIDT	rPPob_PrefDialog				= 2000;
const PaneIDT	kGORTable						= 'GORs';
const PaneIDT	kAddButton						= 'Add ';
const PaneIDT	kRemoveButton					= 'Remv';

const ResIDT	rICM_GORFileIcon				= 2001;

const PaneIDT	kSceneryControl					= 'scen';
const PaneIDT	kUnitControl					= 'unit';
const PaneIDT	kSoundControl					= 'amso';
const PaneIDT	kModelControl					= 'mode';
const PaneIDT	kProjectileControl				= 'prgr';
const PaneIDT	kLocalProjControl				= 'lpgr';

const MessageT	msg_TeamToggle					= 4000;
const MessageT	msg_SceneryToggle				= 4001;
const MessageT	msg_ItemToggle					= 4002;
const MessageT	msg_UnitToggle					= 4003;
const MessageT	msg_ProjGeneratorToggle			= 4004;
const MessageT	msg_SoundToggle					= 4005;
const MessageT	msg_ModelToggle					= 4006;
const MessageT	msg_CurrentToggle				= 4007;
const MessageT	msg_ScriptToggle				= 4008;
const MessageT	msg_ProjectileToggle			= 4009;
const MessageT	msg_LocalProjToggle				= 4010;

const MessageT	msg_DoubleClick					= 4100;

const MessageT	msg_InvisibleToggle				= 4999;

const MessageT	msg_ZoomIn						= 5000;
const MessageT	msg_ZoomOut						= 5001;

const MessageT	cmd_ImportSubMenu				= 6000;
const MessageT	cmd_ImportHeightMap				= 6001;
const MessageT	cmd_ImportTexture				= 6002;
const MessageT	cmd_ImportShadows				= 6003;

