// ===========================================================================
// C3DMapWindow.h
// ===========================================================================


#pragma once


class C3DMapView;

class LBevelButton;

class C3DMapWindow : public LWindow,
					 public LBroadcaster,
					 public LListener
{
public:
	enum { class_ID = '2200' };

							C3DMapWindow( LStream *inStream );
	virtual					~C3DMapWindow();

	virtual void			SetDescriptor( ConstStringPtr inDescriptor );
	
	virtual void			ListenToMessage( MessageT inMessage, void *ioParam );
	
protected:
			C3DMapView		*fMapView;
			LBevelButton	*fOverlayButton;

	virtual	void			FinishCreateSelf();
			
			void			DoOverlayButton( Int32 inItem );
};