// =================================================================================
//	fontStructs.h
// =================================================================================

struct font_Header
{
	Int32			u1;
	Int16			maybeFontHeight;
	Int16			maybeFlags;
	Int32			u2;					// characterOffset?
	Int32			characterCount;
	Int32			headerSize;			// 0x0040
	Int32			dataSize;
	FourCharCode	italicRef;
	FourCharCode	boldRef;
	FourCharCode	uRef;
	FourCharCode	uRef2;
	Int32			u3[6];
}; typedef struct font_Header font_Header;

struct font_Character
{
	Int16			charCode;
	Int16			spacedWidth;
	Int16			charWidth;
	Int16			charHeight;
	Int16			u1;
	Int16			u2;
	Int16			u3;
	Int16			u4;
	char			data[];			// (charWidth * charHeight) bytes
}; typedef struct font_Character font_Character;
