// ===========================================================================
//	CRaveEngine.h			   1999 eli curtz. All rights reserved.
// ===========================================================================

#include <RAVE.h>
#include <RAVESystem.h>

class CRaveEngine {
public:
	static void		Initialize();

private:	
	static TQAError	GetEngineMethod(TQAEngineMethodTag methodTag,
									TQAEngineMethod *method);	
	static TQAError	DrawPrivateNew (TQADrawContext *drawContext,	
									const TQADevice *device,
									const TQARect *rect,
									const TQAClip *clip,
									unsigned long flags);
									
	static CRaveEngine*	sEngine;
};